[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [virt-tools-list] [PATCH 3/3] Add operating system data from inspection to Details->Overview.



On Tue, Apr 19, 2011 at 12:15:35PM +0100, Daniel P. Berrange wrote:
> On Tue, Apr 19, 2011 at 12:08:07PM +0100, Richard W.M. Jones wrote:
> > 
> > I forgot the all-important screenshot:
> > 
> > http://oirase.annexia.org/tmp/vmm-details.png
> > 
> > I had lots of problems editing the glade file.  Glade-3
> > (glade3-3.10.0-1.fc15.x86_64) won't touch it at all.  It gives this
> > error:
> > 
> >   (glade:15327): GladeUI-WARNING **: Couldnt recognize GtkBuilder xml,
> >   skipping /home/rjones/d/virt-manager/src/vmm-details.glade
> 
> Oh, you're using F15, which is based on GNOME3/GTK3, and thus
> has finally dropped all support for libglade format files. Only
> GtkBuild XML is supported with GTK3/GNOME3 onwards.
> 
> If you want to edit this file you need a  glade3 version <= 3.8
> 
>   http://lists.ximian.com/pipermail/glade-devel/2011-January/001858.html
> 
> [quote]
> Plans:
> -----
>    Let it be known that we plan to release a stable Glade 3.8
> and a stable Glade 3.10 in parallel for GNOME 3.
> 
> Glade 3.8:  Will include all support Glade has always included
>             for GTK+ up till version 2.24.
> Glade 3.10: Will include support only for widgets that are still
>             included in GTK+ 3.0 and additionally drops support
>             for Libglade.
> 
> They will of course be parallel installable, Glade 3.8 in the long
> term will hopefully serve as a decent migration path for older 
> projects migrating to 3.0.
> [/quote]
> 
> /me wonders if Fedora bothered to package up a parallel installable
> glade 3.8 stable build for F15, or just dropped that stable series
> entirely

Also, depending on what distros virt-manager needs to support, it
might be worth switching virt-manager to actually use GtkBuilder
instead of Glade for its UI description. Apparently it is available
from GTK 2.12 onwards

  http://developer.gnome.org/gtk/stable/gtk-migrating-GtkBuilder.html

This excludes use on RHEL5 (GTK 2.10), but any other distro released
since approx 2007 should support GtkBuilder

Daniel
-- 
|: http://berrange.com      -o-    http://www.flickr.com/photos/dberrange/ :|
|: http://libvirt.org              -o-             http://virt-manager.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: http://entangle-photo.org       -o-       http://live.gnome.org/gtk-vnc :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]